# SimpleTunnel

Simple software for creating a L2 connection over a TCP socket, written in python.
It's still in alpha stage, please report any bugs.
Later the project gonna be rewritten in C.

# Dependencies

The only dependencie is pytun library, you can install it using the command below

```bash
 $ pip install python-pytun
```
 
# Using

First you need a server, in order to run it just type

```bash
 $ python3 server.py
```

It will start the server, by default it listens at 127.0.0.1:9999, to change that, just open server.py in a text editor and change ADDRESS = "127.0.0.1" and PORT = 9999 to the address:port you need, for example your local ip address.
Also you can change the name of the interface, ip, netmask, logging level, MTU and disable/enable auto configuring of the NIC, just read the comments in the "Defining global variables" section if you want to know how to do that.

When the server is started, you should see a TAP network interface.


When you have a server, you can connect to it via the client, to do that just edit client.py and change ADDRESS and PORT to the address and port of your server.
To start the client just type

```bash
 $ python3 client.py
```

When client is started you should see a new TAP network interface.

When a client connected to the server, you can access the server from a client via L2, for exaple you could ping the server, or route your traffic through it.
Warning, any client can access the server, but a client can't access another client, it made that way to use the app as a public VPN-like service.




###This is an alpha version of the documentation, soon it gonna be replaced with another one.
